From 9deb2e71bf87bd2013f1510a4805d4a31d72ab88 Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Tue, 15 Sep 2020 12:09:15 +0200
Subject: [PATCH] Use kore_worker_name() when logging worker exits in
 worker_reaper().

---
 src/worker.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/worker.c b/src/worker.c
index dbf80471..8681533f 100644
--- a/src/worker.c
+++ b/src/worker.c
@@ -683,8 +683,8 @@ worker_reaper(pid_t pid, int status)
 
 		if (!kore_quiet) {
 			kore_log(LOG_NOTICE,
-			    "worker %d (%d) exited with status %d",
-			    kw->id, pid, status);
+			    "worker %s (%d) exited with status %d",
+			    kore_worker_name(kw->id), pid, status);
 		}
 
 		kw->running = 0;
